{pkgs', ...}: let
in
  pkgs'.writeShellScriptBin "run-web-tests" ''
    source ${pkgs'.common}/bin/common

    echo_section "run web tests"
    echo_hint "This script will run web tests in the current working directory."
    echo_hint "The command is executed in the current working directory and not in a nix derivation."
    cd_working_dir

    if ! ${pkgs'.projectNodeJS}/bin/node "$(pwd)/test/web/puppeteer.mjs" --browser ${pkgs'.ungoogled-chromium}/bin/chromium --path "$(pwd)/test/web/test.html"
    then
       echo_fail "Tests failed, check your JS!"
       exit 1
    fi

    echo_ok "Tests passed!"


  ''
